package com.ruoyi.system.mapper.publicservice;

import com.ruoyi.system.domain.publicservice.TOtherappAttachment;
import com.ruoyi.system.domain.publicservice.TOtherappAttachmentExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TOtherappAttachmentMapper {
    long countByExample(TOtherappAttachmentExample example);

    int deleteByExample(TOtherappAttachmentExample example);

    int deleteByPrimaryKey(Long attachId);

    int insert(TOtherappAttachment record);

    int insertSelective(TOtherappAttachment record);

    List<TOtherappAttachment> selectByExample(TOtherappAttachmentExample example);

    TOtherappAttachment selectByPrimaryKey(Long attachId);

    int updateByExampleSelective(@Param("record") TOtherappAttachment record, @Param("example") TOtherappAttachmentExample example);

    int updateByExample(@Param("record") TOtherappAttachment record, @Param("example") TOtherappAttachmentExample example);

    int updateByPrimaryKeySelective(TOtherappAttachment record);

    int updateByPrimaryKey(TOtherappAttachment record);
}